var modalSelector = "#<%= dom_id @note, dom_id(@releasable) %>"
var modal = "<%= j render("new_note_modal", releasable: @releasable, note: @note) %>"

// If the modal already exists, replace it. Otherwise, create it
if ($(modalSelector).length > 0) {
  $(modalSelector).replaceWith(modal)
} else {
  $('body').append(modal)
}

$(modalSelector).modal("toggle")
